import {expect} from 'chai';
import sinon from 'sinon';
import fs from 'fs';
import path from 'path';

global.expect = expect;
global.sinon = sinon;
global.match = sinon.match;
global.spy = sinon.spy;
global.stub = sinon.stub;
global.mock = sinon.mock;

global.fixture = (name) => {
  return require(`./fixtures/${name}`);
};

// preload fixtures so that loading a module does not skew a test's duration
let fixtures = ['iterables-1', 'sequences-1', 'tree-1'];

fixtures.forEach(fixture);

